Arbor 3: FSM & BT Graph Editor 3.6.4

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Properties | Events | List of all members
Parameter Class Reference

ParameterContainerに格納されるParameterのクラス。 More...

## Public Types
enum | Type { Int, Float, Bool, GameObject, String, Enum, Vector2 = 1000, Vector3, Quaternion, Rect, Bounds, Color, Transform = 2000, RectTransform, Rigidbody, Rigidbody2D, Component, Long, Variable = 3000 }
| パラメータの型。 More...

## Public Member Functions
delegate void | DelegateOnChanged (Parameter parameter)
| パラメータを変更した時に呼ばれるデリゲート。 More...
void | OnChanged ()
| 値を変更した際に呼び出す。 More...
bool | SetFloat (float value)
| Float型の値を設定する。 More...
bool | TryGetFloat (out float value)
| Float型の値を取得する。 More...
float | GetFloat (float defaultValue=default(float))
| Float型の値を取得する。 More...
bool | SetInt (int value)
| Int型の値を設定する。 More...
bool | TryGetInt (out int value)
| Int型の値を取得する。 More...
int | GetInt (int defaultValue=default(int))
| Int型の値を取得する。 More...
bool | SetLong (long value)
| Long型の値を設定する。 More...
bool | TryGetLong (out long value)
| Long型の値を取得する。 More...
long | GetLong (long defaultValue=default(long))
| Long型の値を取得する。 More...
bool | SetBool (bool value)
| Bool型の値を設定する。 More...
bool | TryGetBool (out bool value)
| Bool型の値を取得する。 More...
bool | GetBool (bool defaultValue=default(bool))
| Bool型の値を取得する。 More...
bool | SetString (string value)
| String型の値を設定する。 More...
bool | TryGetString (out string value)
| String型の値を取得する。 More...
string | GetString (string defaultValue="")
| String型の値を取得する。 More...
bool | SetEnumInt (int value)
| Enum型の値を設定する。 More...
bool | TryGetEnumInt (out int value)
| Enum型の値を取得する。 More...
int | GetEnumInt (int defaultValue=default(int))
| Enum型の値を取得する。 More...
bool | SetEnum (System.Enum value)
| Enum型の値を設定する。 More...
bool | TryGetEnum (out System.Enum value)
| Enum型の値を取得する。 More...
System.Enum | GetEnum (System.Enum defaultValue=null)
| Enum型の値を取得する。 More...
bool | SetEnum< TEnum > (TEnum value)
| Enumの値を設定 More...
bool | TryGetEnum< TEnum > (out TEnum value)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > (TEnum defaultValue)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > ()
| Enum型の値を取得する。 More...
bool | SetVector2 (Vector2 value)
| Vector2型の値を設定する。 More...
bool | TryGetVector2 (out Vector2 value)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 (Vector2 defaultValue)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 ()
| Vector2型の値を取得する。 More...
bool | SetVector3 (Vector3 value)
| Vector3型の値を設定する。 More...
bool | TryGetVector3 (out Vector3 value)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 (Vector3 defaultValue)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 ()
| Vector3型の値を取得する。 More...
bool | SetQuaternion (Quaternion value)
| Quaternion型の値を設定する。 More...
bool | TryGetQuaternion (out Quaternion value)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion (Quaternion defaultValue)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion ()
| Quaternion型の値を取得する。 More...
bool | SetRect (Rect value)
| Rect型の値を設定する。 More...
bool | TryGetRect (out Rect value)
| Rect型の値を取得する。 More...
Rect | GetRect (Rect defaultValue)
| Rect型の値を取得する。 More...
Rect | GetRect ()
| Rect型の値を取得する。 More...
bool | SetBounds (Bounds value)
| Bounds型の値を設定する。 More...
bool | TryGetBounds (out Bounds value)
| Bounds型の値を取得する。 More...
Bounds | GetBounds (Bounds defaultValue)
| Bounds型の値を取得する。 More...
Bounds | GetBounds ()
| Bounds型の値を取得する。 More...
bool | SetColor (Color value)
| Color型の値を設定する。 More...
bool | TryGetColor (out Color value)
| Color型の値を取得する。 More...
Color | GetColor (Color defaultValue)
| Color型の値を取得する。 More...
Color | GetColor ()
| Color型の値を取得する。 More...
bool | SetGameObject (GameObject value)
| GameObject型の値を設定する。 More...
bool | TryGetGameObject (out GameObject value)
| GameObject型の値を取得する。 More...
GameObject | GetGameObject (GameObject defaultValue=null)
| GameObject型の値を取得する。 More...
bool | SetTransform (Transform value)
| Transform型の値を設定する。 More...
bool | TryGetTransform (out Transform value)
| Transform型の値を取得する。 More...
Transform | GetTransform (Transform defaultValue=null)
| Transform型の値を取得する。 More...
bool | SetRectTransform (RectTransform value)
| RectTransform型の値を設定する。 More...
bool | TryGetRectTransform (out RectTransform value)
| RectTransform型の値を取得する。 More...
RectTransform | GetRectTransform (RectTransform defaultValue=null)
| RectTransform型の値を取得する。 More...
bool | SetRigidbody (Rigidbody value)
| Rigidbody型の値を設定する。 More...
bool | TryGetRigidbody (out Rigidbody value)
| Rigidbody型の値を取得する。 More...
Rigidbody | GetRigidbody (Rigidbody defaultValue=null)
| Rigidbody型の値を取得する。 More...
bool | SetRigidbody2D (Rigidbody2D value)
| Rigidbody2D型の値を設定する。 More...
bool | TryGetRigidbody2D (out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
Rigidbody2D | GetRigidbody2D (Rigidbody2D defaultValue=null)
| Rigidbody2D型の値を取得する。 More...
bool | SetComponent (Component value)
| Component型の値を設定する。 More...
bool | TryGetComponent (out Component value)
| Component型の値を取得する。 More...
Component | GetComponent (Component defaultValue=null)
| Component型の値を取得する。 More...
bool | SetComponent< TComponent > (TComponent value)
| Componentの値を設定 More...
bool | TryGetComponent< TComponent > (out TComponent value)
| Component型の値を取得する。 More...
TComponent | GetComponent< TComponent > (TComponent defaultValue=null)
| Component型の値を取得する。 More...
bool | SetVariable (object value)
| Variableの値を設定 More...
bool | TryGetVariable (out object value)
| Variable型の値を取得する。 More...
object | GetVariable (object defaultValue=null)
| Variableの値を取得 More...
bool | SetVariable< TVariable > (TVariable value)
| Variableの値を設定 More...
bool | TryGetVariable< TVariable > (out TVariable value)
| Variable型の値を取得する。 More...
TVariable | GetVariable< TVariable > (TVariable defaultValue=default(TVariable))
| Variableの値を取得 More...
bool | GetVariable< TVariable > (ref TVariable value)
| Variableの値を取得 More...
override string | ToString ()
| 値を文字列形式に変換する。 More...
string | ToString (string format)
| 値を文字列形式に変換する。 More...

## Static Public Member Functions
static System.Type | GetValueType (Parameter.Type type, System.Type referenceType=null)
| パラメータの値の型を取得する。 More...

## Public Attributes
ParameterContainerInternal | container
| このパラメータが格納されているコンテナ。 More...
int | id
| ID。 More...
Type | type
| パラメータの型。 More...
string | name
| パラメータの名前。 More...
ClassTypeReference | referenceType = new ClassTypeReference()
| objectReferenceValueやEnumの型。 More...

## Properties
ClassTypeReference | componentType`[get, set]`
| コンポーネントの型 More...
bool | isPublicSet`[get]`
| このパラメータが外部グラフから設定可能かどうかを返す。(グラフ内パラメータ用) More...
bool | isPublicGet`[get]`
| このパラメータが外部グラフから取得可能かどうかを返す。(グラフ内パラメータ用) More...
int | intValue`[get, set]`
| Int型の値。 More...
long | longValue`[get, set]`
| Long型の値。 More...
float | floatValue`[get, set]`
| Float型の値。 More...
bool | boolValue`[get, set]`
| Bool型の値。 More...
string | stringValue`[get, set]`
| String型の値。 More...
bool | isEnum`[get]`
| このパラメータがEnum型であるかどうかを返す。 More...
int | enumIntValue`[get, set]`
| Enum型のint値。 More...
System.Enum | enumValue`[get, set]`
| Enum型の値。 More...
Vector2 | vector2Value`[get, set]`
| Vector2型の値。 More...
Vector3 | vector3Value`[get, set]`
| Vector3型の値。 More...
Quaternion | quaternionValue`[get, set]`
| Quaternion型の値。 More...
Rect | rectValue`[get, set]`
| Rect型の値。 More...
Bounds | boundsValue`[get, set]`
| Bounds型の値。 More...
Color | colorValue`[get, set]`
| Color型の値。 More...
Object | objectReferenceValue`[get, set]`
| Object型の値。 More...
GameObject | gameObjectValue`[get, set]`
| GameObject型の値。 More...
Component | componentValue`[get, set]`
| Component型の値。 More...
Transform | transformValue`[get, set]`
| Transform型の値。 More...
RectTransform | rectTransformValue`[get, set]`
| RectTransform型の値。 More...
Rigidbody | rigidbodyValue`[get, set]`
| Rigidbody型の値。 More...
Rigidbody2D | rigidbody2DValue`[get, set]`
| Rigidbody2D型の値。 More...
VariableBase | variableObject`[get, set]`
| Variableを格納しているオブジェクト。 More...
object | variableValue`[get, set]`
| Variable型の値。 More...
System.Type | valueType`[get]`
| 値の型を取得する。 More...
object | value`[get, set]`
| タイプに応じた値を取得する。 More...

## Events
DelegateOnChanged | onChanged
| 値が変更された際に呼び出されるコールバック関数。 More...

## Detailed Description

ParameterContainerに格納されるParameterのクラス。

## Member Enumeration Documentation

## ◆ Type

enum Type
| strong

パラメータの型。

Enumerator
Int | Int型。
Float | Float型。
Bool | Bool型。
GameObject | GameObject型。
String | String型。
Enum | Enum型。
Vector2 | Vector2型。
Vector3 | Vector3型。
Quaternion | Quaternion型。
Rect | Rect型。
Bounds | Bounds型。
Color | Color型。
Transform | Transform型。
RectTransform | RectTransform型。
Rigidbody | Rigidbody型。
Rigidbody2D | Rigidbody2D型。
Component | Component型。
Long | Long型。
Variable | Variable型。

## Member Function Documentation

## ◆ DelegateOnChanged()

delegate void DelegateOnChanged | ( | Parameter | parameter | ) |

パラメータを変更した時に呼ばれるデリゲート。

Parameters

  parameter | パラメータ

## ◆ GetBool()

bool GetBool | ( | bool | defaultValue = `default(bool)` | ) |

Bool型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetBounds() [1/2]

Bounds GetBounds | ( | Bounds | defaultValue | ) |

Bounds型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetBounds() [2/2]

Bounds GetBounds | ( |  | ) |

Bounds型の値を取得する。

Returns
  パラメータの値。パラメータがない場合は0 Boundsを返す。

## ◆ GetColor() [1/2]

Color GetColor | ( | Color | defaultValue | ) |

Color型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetColor() [2/2]

Color GetColor | ( |  | ) |

Color型の値を取得する。

Returns
  パラメータの値。パラメータがない場合はColor.whiteを返す。

## ◆ GetComponent()

Component GetComponent | ( | Component | defaultValue = `null` | ) |

Component型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetComponent< TComponent >()

TComponent GetComponent< TComponent > | ( | TComponent | defaultValue = `null` | ) |

Component型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Type Constraints

  TComponent | : | Component |

## ◆ GetEnum()

System.Enum GetEnum | ( | System.Enum | defaultValue = `null` | ) |

Enum型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetEnum< TEnum >() [1/2]

TEnum GetEnum< TEnum > | ( | TEnum | defaultValue | ) |

Enum型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [2/2]

TEnum GetEnum< TEnum > | ( |  | ) |

Enum型の値を取得する。

Returns
  パラメータの値。パラメータがない場合はdefault(TEnum)を返す。

Type Constraints

  TEnum | : | struct |

## ◆ GetEnumInt()

int GetEnumInt | ( | int | defaultValue = `default(int)` | ) |

Enum型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetFloat()

float GetFloat | ( | float | defaultValue = `default(float)` | ) |

Float型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetGameObject()

GameObject GetGameObject | ( | GameObject | defaultValue = `null` | ) |

GameObject型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetInt()

int GetInt | ( | int | defaultValue = `default(int)` | ) |

Int型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetLong()

long GetLong | ( | long | defaultValue = `default(long)` | ) |

Long型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetQuaternion() [1/2]

Quaternion GetQuaternion | ( | Quaternion | defaultValue | ) |

Quaternion型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetQuaternion() [2/2]

Quaternion GetQuaternion | ( |  | ) |

Quaternion型の値を取得する。

Returns
  パラメータの値。パラメータがない場合はQuaternion.identityを返す。

## ◆ GetRect() [1/2]

Rect GetRect | ( | Rect | defaultValue | ) |

Rect型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetRect() [2/2]

Rect GetRect | ( |  | ) |

Rect型の値を取得する。

Returns
  パラメータの値。パラメータがない場合はRect(0, 0, 0, 0)を返す。

## ◆ GetRectTransform()

RectTransform GetRectTransform | ( | RectTransform | defaultValue = `null` | ) |

RectTransform型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetRigidbody()

Rigidbody GetRigidbody | ( | Rigidbody | defaultValue = `null` | ) |

Rigidbody型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetRigidbody2D()

Rigidbody2D GetRigidbody2D | ( | Rigidbody2D | defaultValue = `null` | ) |

Rigidbody2D型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetString()

string GetString | ( | string | defaultValue = `""` | ) |

String型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetTransform()

Transform GetTransform | ( | Transform | defaultValue = `null` | ) |

Transform型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetValueType()

static System.Type GetValueType | ( | Parameter.Type | type,
|  | System.Type | referenceType = `null`
| ) |  |
| static

パラメータの値の型を取得する。

Parameters

  type | パラメータのタイプ
  referenceType | 参照する型（Enum, Component, Variableで使用）

Returns
  パラメータの値の型

## ◆ GetVariable()

object GetVariable | ( | object | defaultValue = `null` | ) |

Variableの値を取得

Parameters

  defaultValue | デフォルトの値。取得に失敗した場合に返される。

Returns
  Variableの値。取得に失敗した場合はdefaultValueを返す。

## ◆ GetVariable< TVariable >() [1/2]

TVariable GetVariable< TVariable > | ( | TVariable | defaultValue = `default(TVariable)` | ) |

Variableの値を取得

Template Parameters

  TVariable | Variableの値の型

Parameters

  defaultValue | デフォルトの値。取得に失敗した場合に返される。

Returns
  Variableの値。取得に失敗した場合はdefaultValueを返す。

## ◆ GetVariable< TVariable >() [2/2]

bool GetVariable< TVariable > | ( | ref TVariable | value | ) |

Variableの値を取得

Template Parameters

  TVariable | Variableの値の型

Parameters

  value | 値

Returns
  trueなら成功、falseなら失敗

## ◆ GetVector2() [1/2]

Vector2 GetVector2 | ( | Vector2 | defaultValue | ) |

Vector2型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetVector2() [2/2]

Vector2 GetVector2 | ( |  | ) |

Vector2型の値を取得する。

Returns
  パラメータの値。パラメータがない場合はVector2.zeroを返す。

## ◆ GetVector3() [1/2]

Vector3 GetVector3 | ( | Vector3 | defaultValue | ) |

Vector3型の値を取得する。

Parameters

  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

## ◆ GetVector3() [2/2]

Vector3 GetVector3 | ( |  | ) |

Vector3型の値を取得する。

Returns
  パラメータの値。パラメータがない場合はVector3.zeroを返す。

## ◆ OnChanged()

void OnChanged | ( |  | ) |

値を変更した際に呼び出す。

## ◆ SetBool()

bool SetBool | ( | bool | value | ) |

Bool型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetBounds()

bool SetBounds | ( | Bounds | value | ) |

Bounds型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetColor()

bool SetColor | ( | Color | value | ) |

Color型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetComponent()

bool SetComponent | ( | Component | value | ) |

Component型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetComponent< TComponent >()

bool SetComponent< TComponent > | ( | TComponent | value | ) |

Componentの値を設定

Parameters

  value | 値

Type Constraints

  TComponent | : | Component |

## ◆ SetEnum()

bool SetEnum | ( | System.Enum | value | ) |

Enum型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetEnum< TEnum >()

bool SetEnum< TEnum > | ( | TEnum | value | ) |

Enumの値を設定

Parameters

  value | 値

Returns
  値を設定できた場合にtrueを返す。

Type Constraints

  TEnum | : | struct |

## ◆ SetEnumInt()

bool SetEnumInt | ( | int | value | ) |

Enum型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetFloat()

bool SetFloat | ( | float | value | ) |

Float型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetGameObject()

bool SetGameObject | ( | GameObject | value | ) |

GameObject型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetInt()

bool SetInt | ( | int | value | ) |

Int型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetLong()

bool SetLong | ( | long | value | ) |

Long型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetQuaternion()

bool SetQuaternion | ( | Quaternion | value | ) |

Quaternion型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetRect()

bool SetRect | ( | Rect | value | ) |

Rect型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetRectTransform()

bool SetRectTransform | ( | RectTransform | value | ) |

RectTransform型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetRigidbody()

bool SetRigidbody | ( | Rigidbody | value | ) |

Rigidbody型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetRigidbody2D()

bool SetRigidbody2D | ( | Rigidbody2D | value | ) |

Rigidbody2D型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetString()

bool SetString | ( | string | value | ) |

String型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetTransform()

bool SetTransform | ( | Transform | value | ) |

Transform型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetVariable()

bool SetVariable | ( | object | value | ) |

Variableの値を設定

Parameters

  value | 値

## ◆ SetVariable< TVariable >()

bool SetVariable< TVariable > | ( | TVariable | value | ) |

Variableの値を設定

Template Parameters

  TVariable | Variableの値の型

Parameters

  value | 値

## ◆ SetVector2()

bool SetVector2 | ( | Vector2 | value | ) |

Vector2型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ SetVector3()

bool SetVector3 | ( | Vector3 | value | ) |

Vector3型の値を設定する。

Parameters

  value | 値。

Returns
  値を設定できた場合にtrueを返す。

## ◆ ToString() [1/2]

override string ToString | ( |  | ) |

値を文字列形式に変換する。

Returns
  変換した文字列

## ◆ ToString() [2/2]

string ToString | ( | string | format | ) |

値を文字列形式に変換する。

Parameters

  format | 数値書式指定フォーマット(Int,Long,Floatのみ)

Returns
  変換した文字列

数値書式指定フォーマットの詳細については、次を参照してください。標準の数値書式指定文字列、カスタム数値書式指定文字列

## ◆ TryGetBool()

bool TryGetBool | ( | out bool | value | ) |

Bool型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetBounds()

bool TryGetBounds | ( | out Bounds | value | ) |

Bounds型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetColor()

bool TryGetColor | ( | out Color | value | ) |

Color型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetComponent()

bool TryGetComponent | ( | out Component | value | ) |

Component型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetComponent< TComponent >()

bool TryGetComponent< TComponent > | ( | out TComponent | value | ) |

Component型の値を取得する。

Parameters

  value | 取得する値。

Returns
  成功した場合はtrueを返す。

Type Constraints

  TComponent | : | Component |

## ◆ TryGetEnum()

bool TryGetEnum | ( | out System.Enum | value | ) |

Enum型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetEnum< TEnum >()

bool TryGetEnum< TEnum > | ( | out TEnum | value | ) |

Enum型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

Type Constraints

  TEnum | : | struct |

## ◆ TryGetEnumInt()

bool TryGetEnumInt | ( | out int | value | ) |

Enum型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetFloat()

bool TryGetFloat | ( | out float | value | ) |

Float型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetGameObject()

bool TryGetGameObject | ( | out GameObject | value | ) |

GameObject型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetInt()

bool TryGetInt | ( | out int | value | ) |

Int型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetLong()

bool TryGetLong | ( | out long | value | ) |

Long型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetQuaternion()

bool TryGetQuaternion | ( | out Quaternion | value | ) |

Quaternion型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetRect()

bool TryGetRect | ( | out Rect | value | ) |

Rect型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetRectTransform()

bool TryGetRectTransform | ( | out RectTransform | value | ) |

RectTransform型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetRigidbody()

bool TryGetRigidbody | ( | out Rigidbody | value | ) |

Rigidbody型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetRigidbody2D()

bool TryGetRigidbody2D | ( | out Rigidbody2D | value | ) |

Rigidbody2D型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetString()

bool TryGetString | ( | out string | value | ) |

String型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetTransform()

bool TryGetTransform | ( | out Transform | value | ) |

Transform型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetVariable()

bool TryGetVariable | ( | out object | value | ) |

Variable型の値を取得する。

Parameters

  value | 取得する値。

Returns
  成功した場合はtrueを返す。

## ◆ TryGetVariable< TVariable >()

bool TryGetVariable< TVariable > | ( | out TVariable | value | ) |

Variable型の値を取得する。

Template Parameters

  TVariable | Variableの値の型

Parameters

  value | 取得する値。

Returns
  成功した場合はtrueを返す。

## ◆ TryGetVector2()

bool TryGetVector2 | ( | out Vector2 | value | ) |

Vector2型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## ◆ TryGetVector3()

bool TryGetVector3 | ( | out Vector3 | value | ) |

Vector3型の値を取得する。

Parameters

  value | 取得する値。

Returns
  値を取得できた場合にtrueを返す。

## Member Data Documentation

## ◆ container

ParameterContainerInternal container

このパラメータが格納されているコンテナ。

## ◆ id

int id

ID。

## ◆ name

string name

パラメータの名前。

## ◆ referenceType

ClassTypeReference referenceType = new ClassTypeReference()

objectReferenceValueやEnumの型。

## ◆ type

Type type

パラメータの型。

## Property Documentation

## ◆ boolValue

bool boolValue
| get set

Bool型の値。

## ◆ boundsValue

Bounds boundsValue
| get set

Bounds型の値。

## ◆ colorValue

Color colorValue
| get set

Color型の値。

## ◆ componentType

ClassTypeReference componentType
| get set

コンポーネントの型

## ◆ componentValue

Component componentValue
| get set

Component型の値。

## ◆ enumIntValue

int enumIntValue
| get set

Enum型のint値。

## ◆ enumValue

System.Enum enumValue
| get set

Enum型の値。

## ◆ floatValue

float floatValue
| get set

Float型の値。

## ◆ gameObjectValue

GameObject gameObjectValue
| get set

GameObject型の値。

## ◆ intValue

int intValue
| get set

Int型の値。

## ◆ isEnum

bool isEnum
| get

このパラメータがEnum型であるかどうかを返す。

## ◆ isPublicGet

bool isPublicGet
| get

このパラメータが外部グラフから取得可能かどうかを返す。(グラフ内パラメータ用)

## ◆ isPublicSet

bool isPublicSet
| get

このパラメータが外部グラフから設定可能かどうかを返す。(グラフ内パラメータ用)

## ◆ longValue

long longValue
| get set

Long型の値。

## ◆ objectReferenceValue

Object objectReferenceValue
| get set

Object型の値。

## ◆ quaternionValue

Quaternion quaternionValue
| get set

Quaternion型の値。

## ◆ rectTransformValue

RectTransform rectTransformValue
| get set

RectTransform型の値。

## ◆ rectValue

Rect rectValue
| get set

Rect型の値。

## ◆ rigidbody2DValue

Rigidbody2D rigidbody2DValue
| get set

Rigidbody2D型の値。

## ◆ rigidbodyValue

Rigidbody rigidbodyValue
| get set

Rigidbody型の値。

## ◆ stringValue

string stringValue
| get set

String型の値。

## ◆ transformValue

Transform transformValue
| get set

Transform型の値。

## ◆ value

object value
| get set

タイプに応じた値を取得する。

## ◆ valueType

System.Type valueType
| get

値の型を取得する。

## ◆ variableObject

VariableBase variableObject
| get set

Variableを格納しているオブジェクト。

## ◆ variableValue

object variableValue
| get set

Variable型の値。

## ◆ vector2Value

Vector2 vector2Value
| get set

Vector2型の値。

## ◆ vector3Value

Vector3 vector3Value
| get set

Vector3型の値。

## Event Documentation

## ◆ onChanged

DelegateOnChanged onChanged

値が変更された際に呼び出されるコールバック関数。